
module subsys_cam (
	cam_clk_clk,
	cam_in_vid_clk,
	cam_in_vid_data,
	cam_in_vid_de,
	cam_in_vid_datavalid,
	cam_in_vid_locked,
	cam_in_vid_f,
	cam_in_vid_v_sync,
	cam_in_vid_h_sync,
	cam_in_vid_hd_sdn,
	cam_in_vid_color_encoding,
	cam_in_vid_bit_width,
	cam_in_sof,
	cam_in_sof_locked,
	cam_in_refclk_div,
	cam_in_clipping,
	cam_in_padding,
	cam_in_overflow,
	cam_pio_export,
	cam_reset_reset_n,
	control_waitrequest,
	control_readdata,
	control_readdatavalid,
	control_burstcount,
	control_writedata,
	control_address,
	control_write,
	control_read,
	control_byteenable,
	control_debugaccess,
	master_wr_write,
	master_wr_writedata,
	master_wr_address,
	master_wr_burstcount,
	master_wr_byteenable,
	master_wr_waitrequest);	

	input		cam_clk_clk;
	input		cam_in_vid_clk;
	input	[23:0]	cam_in_vid_data;
	input		cam_in_vid_de;
	input		cam_in_vid_datavalid;
	input		cam_in_vid_locked;
	input		cam_in_vid_f;
	input		cam_in_vid_v_sync;
	input		cam_in_vid_h_sync;
	input		cam_in_vid_hd_sdn;
	input	[7:0]	cam_in_vid_color_encoding;
	input	[7:0]	cam_in_vid_bit_width;
	output		cam_in_sof;
	output		cam_in_sof_locked;
	output		cam_in_refclk_div;
	output		cam_in_clipping;
	output		cam_in_padding;
	output		cam_in_overflow;
	output	[15:0]	cam_pio_export;
	input		cam_reset_reset_n;
	output		control_waitrequest;
	output	[31:0]	control_readdata;
	output		control_readdatavalid;
	input	[0:0]	control_burstcount;
	input	[31:0]	control_writedata;
	input	[9:0]	control_address;
	input		control_write;
	input		control_read;
	input	[3:0]	control_byteenable;
	input		control_debugaccess;
	output		master_wr_write;
	output	[255:0]	master_wr_writedata;
	output	[31:0]	master_wr_address;
	output	[10:0]	master_wr_burstcount;
	output	[31:0]	master_wr_byteenable;
	input		master_wr_waitrequest;
endmodule
