// soc_system_cam_0.v

// Generated using ACDS version 18.1 646

`timescale 1 ps / 1 ps
module soc_system_cam_0 (
		input  wire         cam_clk_clk,               //   cam_clk.clk
		input  wire         cam_in_vid_clk,            //    cam_in.vid_clk
		input  wire [23:0]  cam_in_vid_data,           //          .vid_data
		input  wire         cam_in_vid_de,             //          .vid_de
		input  wire         cam_in_vid_datavalid,      //          .vid_datavalid
		input  wire         cam_in_vid_locked,         //          .vid_locked
		input  wire         cam_in_vid_f,              //          .vid_f
		input  wire         cam_in_vid_v_sync,         //          .vid_v_sync
		input  wire         cam_in_vid_h_sync,         //          .vid_h_sync
		input  wire         cam_in_vid_hd_sdn,         //          .vid_hd_sdn
		input  wire [7:0]   cam_in_vid_color_encoding, //          .vid_color_encoding
		input  wire [7:0]   cam_in_vid_bit_width,      //          .vid_bit_width
		output wire         cam_in_sof,                //          .sof
		output wire         cam_in_sof_locked,         //          .sof_locked
		output wire         cam_in_refclk_div,         //          .refclk_div
		output wire         cam_in_clipping,           //          .clipping
		output wire         cam_in_padding,            //          .padding
		output wire         cam_in_overflow,           //          .overflow
		output wire [15:0]  cam_pio_export,            //   cam_pio.export
		input  wire         cam_reset_reset_n,         // cam_reset.reset_n
		output wire         control_waitrequest,       //   control.waitrequest
		output wire [31:0]  control_readdata,          //          .readdata
		output wire         control_readdatavalid,     //          .readdatavalid
		input  wire [0:0]   control_burstcount,        //          .burstcount
		input  wire [31:0]  control_writedata,         //          .writedata
		input  wire [9:0]   control_address,           //          .address
		input  wire         control_write,             //          .write
		input  wire         control_read,              //          .read
		input  wire [3:0]   control_byteenable,        //          .byteenable
		input  wire         control_debugaccess,       //          .debugaccess
		output wire         master_wr_write,           // master_wr.write
		output wire [255:0] master_wr_writedata,       //          .writedata
		output wire [31:0]  master_wr_address,         //          .address
		output wire [10:0]  master_wr_burstcount,      //          .burstcount
		output wire [31:0]  master_wr_byteenable,      //          .byteenable
		input  wire         master_wr_waitrequest      //          .waitrequest
	);

	wire         scl_dout_valid;                                // scl:dout_valid -> vfw_0:asi_valid
	wire  [23:0] scl_dout_data;                                 // scl:dout_data -> vfw_0:asi_data
	wire         scl_dout_ready;                                // vfw_0:asi_ready -> scl:dout_ready
	wire         scl_dout_startofpacket;                        // scl:dout_startofpacket -> vfw_0:asi_startofpacket
	wire         scl_dout_endofpacket;                          // scl:dout_endofpacket -> vfw_0:asi_endofpacket
	wire         cvi_dout_0_valid;                              // cvi:dout_0_valid -> scl:din_valid
	wire  [23:0] cvi_dout_0_data;                               // cvi:dout_0_data -> scl:din_data
	wire         cvi_dout_0_ready;                              // scl:din_ready -> cvi:dout_0_ready
	wire         cvi_dout_0_startofpacket;                      // cvi:dout_0_startofpacket -> scl:din_startofpacket
	wire         cvi_dout_0_endofpacket;                        // cvi:dout_0_endofpacket -> scl:din_endofpacket
	wire         mm_bridge_0_m0_waitrequest;                    // mm_interconnect_0:mm_bridge_0_m0_waitrequest -> mm_bridge_0:m0_waitrequest
	wire  [31:0] mm_bridge_0_m0_readdata;                       // mm_interconnect_0:mm_bridge_0_m0_readdata -> mm_bridge_0:m0_readdata
	wire         mm_bridge_0_m0_debugaccess;                    // mm_bridge_0:m0_debugaccess -> mm_interconnect_0:mm_bridge_0_m0_debugaccess
	wire   [9:0] mm_bridge_0_m0_address;                        // mm_bridge_0:m0_address -> mm_interconnect_0:mm_bridge_0_m0_address
	wire         mm_bridge_0_m0_read;                           // mm_bridge_0:m0_read -> mm_interconnect_0:mm_bridge_0_m0_read
	wire   [3:0] mm_bridge_0_m0_byteenable;                     // mm_bridge_0:m0_byteenable -> mm_interconnect_0:mm_bridge_0_m0_byteenable
	wire         mm_bridge_0_m0_readdatavalid;                  // mm_interconnect_0:mm_bridge_0_m0_readdatavalid -> mm_bridge_0:m0_readdatavalid
	wire  [31:0] mm_bridge_0_m0_writedata;                      // mm_bridge_0:m0_writedata -> mm_interconnect_0:mm_bridge_0_m0_writedata
	wire         mm_bridge_0_m0_write;                          // mm_bridge_0:m0_write -> mm_interconnect_0:mm_bridge_0_m0_write
	wire   [0:0] mm_bridge_0_m0_burstcount;                     // mm_bridge_0:m0_burstcount -> mm_interconnect_0:mm_bridge_0_m0_burstcount
	wire  [31:0] mm_interconnect_0_scl_control_readdata;        // scl:control_readdata -> mm_interconnect_0:scl_control_readdata
	wire         mm_interconnect_0_scl_control_waitrequest;     // scl:control_waitrequest -> mm_interconnect_0:scl_control_waitrequest
	wire   [6:0] mm_interconnect_0_scl_control_address;         // mm_interconnect_0:scl_control_address -> scl:control_address
	wire         mm_interconnect_0_scl_control_read;            // mm_interconnect_0:scl_control_read -> scl:control_read
	wire   [3:0] mm_interconnect_0_scl_control_byteenable;      // mm_interconnect_0:scl_control_byteenable -> scl:control_byteenable
	wire         mm_interconnect_0_scl_control_readdatavalid;   // scl:control_readdatavalid -> mm_interconnect_0:scl_control_readdatavalid
	wire         mm_interconnect_0_scl_control_write;           // mm_interconnect_0:scl_control_write -> scl:control_write
	wire  [31:0] mm_interconnect_0_scl_control_writedata;       // mm_interconnect_0:scl_control_writedata -> scl:control_writedata
	wire  [31:0] mm_interconnect_0_vfw_0_control_readdata;      // vfw_0:avs_readdata -> mm_interconnect_0:vfw_0_control_readdata
	wire         mm_interconnect_0_vfw_0_control_waitrequest;   // vfw_0:avs_waitrequest -> mm_interconnect_0:vfw_0_control_waitrequest
	wire   [1:0] mm_interconnect_0_vfw_0_control_address;       // mm_interconnect_0:vfw_0_control_address -> vfw_0:avs_address
	wire         mm_interconnect_0_vfw_0_control_read;          // mm_interconnect_0:vfw_0_control_read -> vfw_0:avs_read
	wire   [3:0] mm_interconnect_0_vfw_0_control_byteenable;    // mm_interconnect_0:vfw_0_control_byteenable -> vfw_0:avs_byteenable
	wire         mm_interconnect_0_vfw_0_control_readdatavalid; // vfw_0:avs_readdatavalid -> mm_interconnect_0:vfw_0_control_readdatavalid
	wire         mm_interconnect_0_vfw_0_control_write;         // mm_interconnect_0:vfw_0_control_write -> vfw_0:avs_write
	wire  [31:0] mm_interconnect_0_vfw_0_control_writedata;     // mm_interconnect_0:vfw_0_control_writedata -> vfw_0:avs_writedata
	wire         mm_interconnect_0_cam_pio_s1_chipselect;       // mm_interconnect_0:cam_pio_s1_chipselect -> cam_pio:chipselect
	wire  [31:0] mm_interconnect_0_cam_pio_s1_readdata;         // cam_pio:readdata -> mm_interconnect_0:cam_pio_s1_readdata
	wire   [2:0] mm_interconnect_0_cam_pio_s1_address;          // mm_interconnect_0:cam_pio_s1_address -> cam_pio:address
	wire         mm_interconnect_0_cam_pio_s1_write;            // mm_interconnect_0:cam_pio_s1_write -> cam_pio:write_n
	wire  [31:0] mm_interconnect_0_cam_pio_s1_writedata;        // mm_interconnect_0:cam_pio_s1_writedata -> cam_pio:writedata
	wire         rst_controller_reset_out_reset;                // rst_controller:reset_out -> [cam_pio:reset_n, cvi:main_reset_reset, mm_bridge_0:reset, mm_interconnect_0:mm_bridge_0_reset_reset_bridge_in_reset_reset, scl:main_reset, vfw_0:asi_reset_reset, vfw_0:avm_reset_reset, vfw_0:avs_reset_reset]

	soc_system_cam_0_cam_pio cam_pio (
		.clk        (cam_clk_clk),                             //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address    (mm_interconnect_0_cam_pio_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_cam_pio_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_cam_pio_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_cam_pio_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_cam_pio_s1_readdata),   //                    .readdata
		.out_port   (cam_pio_export)                           // external_connection.export
	);

	soc_system_cam_0_cvi #(
		.BPS                           (8),
		.NUMBER_OF_COLOUR_PLANES       (3),
		.COLOUR_PLANES_ARE_IN_PARALLEL (1),
		.PIXELS_IN_PARALLEL            (1),
		.SYNC_TO                       (2),
		.MATCH_CTRLDATA_PKT_CLIP_BASIC (0),
		.MATCH_CTRLDATA_PKT_PAD_ADV    (0),
		.OVERFLOW_HANDLING             (0),
		.USE_EMBEDDED_SYNCS            (0),
		.USE_HDMI_DEPRICATION          (0),
		.GENERATE_VID_F                (0),
		.USE_STD                       (0),
		.STD_WIDTH                     (1),
		.GENERATE_ANC                  (0),
		.ANC_DEPTH                     (1),
		.EXTRACT_TOTAL_RESOLUTION      (1),
		.INTERLACED                    (0),
		.H_ACTIVE_PIXELS_F0            (1920),
		.V_ACTIVE_LINES_F0             (1080),
		.V_ACTIVE_LINES_F1             (32),
		.FIFO_DEPTH                    (2048),
		.CLOCKS_ARE_SAME               (0),
		.USE_CONTROL                   (0)
	) cvi (
		.main_clock_clk                   (cam_clk_clk),                    //    main_clock.clk
		.main_reset_reset                 (rst_controller_reset_out_reset), //    main_reset.reset
		.dout_0_data                      (cvi_dout_0_data),                //        dout_0.data
		.dout_0_valid                     (cvi_dout_0_valid),               //              .valid
		.dout_0_startofpacket             (cvi_dout_0_startofpacket),       //              .startofpacket
		.dout_0_endofpacket               (cvi_dout_0_endofpacket),         //              .endofpacket
		.dout_0_ready                     (cvi_dout_0_ready),               //              .ready
		.clocked_video_vid_clk            (cam_in_vid_clk),                 // clocked_video.vid_clk
		.clocked_video_vid_data           (cam_in_vid_data),                //              .vid_data
		.clocked_video_vid_de             (cam_in_vid_de),                  //              .vid_de
		.clocked_video_vid_datavalid      (cam_in_vid_datavalid),           //              .vid_datavalid
		.clocked_video_vid_locked         (cam_in_vid_locked),              //              .vid_locked
		.clocked_video_vid_f              (cam_in_vid_f),                   //              .vid_f
		.clocked_video_vid_v_sync         (cam_in_vid_v_sync),              //              .vid_v_sync
		.clocked_video_vid_h_sync         (cam_in_vid_h_sync),              //              .vid_h_sync
		.clocked_video_vid_hd_sdn         (cam_in_vid_hd_sdn),              //              .vid_hd_sdn
		.clocked_video_vid_color_encoding (cam_in_vid_color_encoding),      //              .vid_color_encoding
		.clocked_video_vid_bit_width      (cam_in_vid_bit_width),           //              .vid_bit_width
		.clocked_video_sof                (cam_in_sof),                     //              .sof
		.clocked_video_sof_locked         (cam_in_sof_locked),              //              .sof_locked
		.clocked_video_refclk_div         (cam_in_refclk_div),              //              .refclk_div
		.clocked_video_clipping           (cam_in_clipping),                //              .clipping
		.clocked_video_padding            (cam_in_padding),                 //              .padding
		.clocked_video_overflow           (cam_in_overflow)                 //              .overflow
	);

	altera_avalon_mm_bridge #(
		.DATA_WIDTH        (32),
		.SYMBOL_WIDTH      (8),
		.HDL_ADDR_WIDTH    (10),
		.BURSTCOUNT_WIDTH  (1),
		.PIPELINE_COMMAND  (1),
		.PIPELINE_RESPONSE (1)
	) mm_bridge_0 (
		.clk              (cam_clk_clk),                    //   clk.clk
		.reset            (rst_controller_reset_out_reset), // reset.reset
		.s0_waitrequest   (control_waitrequest),            //    s0.waitrequest
		.s0_readdata      (control_readdata),               //      .readdata
		.s0_readdatavalid (control_readdatavalid),          //      .readdatavalid
		.s0_burstcount    (control_burstcount),             //      .burstcount
		.s0_writedata     (control_writedata),              //      .writedata
		.s0_address       (control_address),                //      .address
		.s0_write         (control_write),                  //      .write
		.s0_read          (control_read),                   //      .read
		.s0_byteenable    (control_byteenable),             //      .byteenable
		.s0_debugaccess   (control_debugaccess),            //      .debugaccess
		.m0_waitrequest   (mm_bridge_0_m0_waitrequest),     //    m0.waitrequest
		.m0_readdata      (mm_bridge_0_m0_readdata),        //      .readdata
		.m0_readdatavalid (mm_bridge_0_m0_readdatavalid),   //      .readdatavalid
		.m0_burstcount    (mm_bridge_0_m0_burstcount),      //      .burstcount
		.m0_writedata     (mm_bridge_0_m0_writedata),       //      .writedata
		.m0_address       (mm_bridge_0_m0_address),         //      .address
		.m0_write         (mm_bridge_0_m0_write),           //      .write
		.m0_read          (mm_bridge_0_m0_read),            //      .read
		.m0_byteenable    (mm_bridge_0_m0_byteenable),      //      .byteenable
		.m0_debugaccess   (mm_bridge_0_m0_debugaccess),     //      .debugaccess
		.s0_response      (),                               // (terminated)
		.m0_response      (2'b00)                           // (terminated)
	);

	soc_system_cam_0_scl scl (
		.main_clock            (cam_clk_clk),                                 // main_clock.clk
		.main_reset            (rst_controller_reset_out_reset),              // main_reset.reset
		.din_data              (cvi_dout_0_data),                             //        din.data
		.din_valid             (cvi_dout_0_valid),                            //           .valid
		.din_startofpacket     (cvi_dout_0_startofpacket),                    //           .startofpacket
		.din_endofpacket       (cvi_dout_0_endofpacket),                      //           .endofpacket
		.din_ready             (cvi_dout_0_ready),                            //           .ready
		.dout_data             (scl_dout_data),                               //       dout.data
		.dout_valid            (scl_dout_valid),                              //           .valid
		.dout_startofpacket    (scl_dout_startofpacket),                      //           .startofpacket
		.dout_endofpacket      (scl_dout_endofpacket),                        //           .endofpacket
		.dout_ready            (scl_dout_ready),                              //           .ready
		.control_address       (mm_interconnect_0_scl_control_address),       //    control.address
		.control_byteenable    (mm_interconnect_0_scl_control_byteenable),    //           .byteenable
		.control_write         (mm_interconnect_0_scl_control_write),         //           .write
		.control_writedata     (mm_interconnect_0_scl_control_writedata),     //           .writedata
		.control_read          (mm_interconnect_0_scl_control_read),          //           .read
		.control_readdata      (mm_interconnect_0_scl_control_readdata),      //           .readdata
		.control_readdatavalid (mm_interconnect_0_scl_control_readdatavalid), //           .readdatavalid
		.control_waitrequest   (mm_interconnect_0_scl_control_waitrequest)    //           .waitrequest
	);

	VFW_TOP_wrapper #(
		.AM_BUS_WID (256)
	) vfw_0 (
		.avm_write         (master_wr_write),                               //          dout.write
		.avm_writedata     (master_wr_writedata),                           //              .writedata
		.avm_address       (master_wr_address),                             //              .address
		.avm_burstcount    (master_wr_burstcount),                          //              .burstcount
		.avm_byteenable    (master_wr_byteenable),                          //              .byteenable
		.avm_waitrequest   (master_wr_waitrequest),                         //              .waitrequest
		.avs_write         (mm_interconnect_0_vfw_0_control_write),         //       control.write
		.avs_writedata     (mm_interconnect_0_vfw_0_control_writedata),     //              .writedata
		.avs_read          (mm_interconnect_0_vfw_0_control_read),          //              .read
		.avs_readdata      (mm_interconnect_0_vfw_0_control_readdata),      //              .readdata
		.avs_readdatavalid (mm_interconnect_0_vfw_0_control_readdatavalid), //              .readdatavalid
		.avs_address       (mm_interconnect_0_vfw_0_control_address),       //              .address
		.avs_byteenable    (mm_interconnect_0_vfw_0_control_byteenable),    //              .byteenable
		.avs_waitrequest   (mm_interconnect_0_vfw_0_control_waitrequest),   //              .waitrequest
		.asi_startofpacket (scl_dout_startofpacket),                        //           din.startofpacket
		.asi_endofpacket   (scl_dout_endofpacket),                          //              .endofpacket
		.asi_data          (scl_dout_data),                                 //              .data
		.asi_valid         (scl_dout_valid),                                //              .valid
		.asi_ready         (scl_dout_ready),                                //              .ready
		.asi_clock_clk     (cam_clk_clk),                                   //     din_clock.clk
		.asi_reset_reset   (rst_controller_reset_out_reset),                //     din_reset.reset
		.avm_clock_clk     (cam_clk_clk),                                   //    dout_clock.clk
		.avm_reset_reset   (rst_controller_reset_out_reset),                //    dout_reset.reset
		.avs_clock_clk     (cam_clk_clk),                                   // control_clock.clk
		.avs_reset_reset   (rst_controller_reset_out_reset)                 // control_reset.reset
	);

	soc_system_cam_0_mm_interconnect_0 mm_interconnect_0 (
		.clk_0_clk_clk                                 (cam_clk_clk),                                   //                               clk_0_clk.clk
		.mm_bridge_0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                // mm_bridge_0_reset_reset_bridge_in_reset.reset
		.mm_bridge_0_m0_address                        (mm_bridge_0_m0_address),                        //                          mm_bridge_0_m0.address
		.mm_bridge_0_m0_waitrequest                    (mm_bridge_0_m0_waitrequest),                    //                                        .waitrequest
		.mm_bridge_0_m0_burstcount                     (mm_bridge_0_m0_burstcount),                     //                                        .burstcount
		.mm_bridge_0_m0_byteenable                     (mm_bridge_0_m0_byteenable),                     //                                        .byteenable
		.mm_bridge_0_m0_read                           (mm_bridge_0_m0_read),                           //                                        .read
		.mm_bridge_0_m0_readdata                       (mm_bridge_0_m0_readdata),                       //                                        .readdata
		.mm_bridge_0_m0_readdatavalid                  (mm_bridge_0_m0_readdatavalid),                  //                                        .readdatavalid
		.mm_bridge_0_m0_write                          (mm_bridge_0_m0_write),                          //                                        .write
		.mm_bridge_0_m0_writedata                      (mm_bridge_0_m0_writedata),                      //                                        .writedata
		.mm_bridge_0_m0_debugaccess                    (mm_bridge_0_m0_debugaccess),                    //                                        .debugaccess
		.cam_pio_s1_address                            (mm_interconnect_0_cam_pio_s1_address),          //                              cam_pio_s1.address
		.cam_pio_s1_write                              (mm_interconnect_0_cam_pio_s1_write),            //                                        .write
		.cam_pio_s1_readdata                           (mm_interconnect_0_cam_pio_s1_readdata),         //                                        .readdata
		.cam_pio_s1_writedata                          (mm_interconnect_0_cam_pio_s1_writedata),        //                                        .writedata
		.cam_pio_s1_chipselect                         (mm_interconnect_0_cam_pio_s1_chipselect),       //                                        .chipselect
		.scl_control_address                           (mm_interconnect_0_scl_control_address),         //                             scl_control.address
		.scl_control_write                             (mm_interconnect_0_scl_control_write),           //                                        .write
		.scl_control_read                              (mm_interconnect_0_scl_control_read),            //                                        .read
		.scl_control_readdata                          (mm_interconnect_0_scl_control_readdata),        //                                        .readdata
		.scl_control_writedata                         (mm_interconnect_0_scl_control_writedata),       //                                        .writedata
		.scl_control_byteenable                        (mm_interconnect_0_scl_control_byteenable),      //                                        .byteenable
		.scl_control_readdatavalid                     (mm_interconnect_0_scl_control_readdatavalid),   //                                        .readdatavalid
		.scl_control_waitrequest                       (mm_interconnect_0_scl_control_waitrequest),     //                                        .waitrequest
		.vfw_0_control_address                         (mm_interconnect_0_vfw_0_control_address),       //                           vfw_0_control.address
		.vfw_0_control_write                           (mm_interconnect_0_vfw_0_control_write),         //                                        .write
		.vfw_0_control_read                            (mm_interconnect_0_vfw_0_control_read),          //                                        .read
		.vfw_0_control_readdata                        (mm_interconnect_0_vfw_0_control_readdata),      //                                        .readdata
		.vfw_0_control_writedata                       (mm_interconnect_0_vfw_0_control_writedata),     //                                        .writedata
		.vfw_0_control_byteenable                      (mm_interconnect_0_vfw_0_control_byteenable),    //                                        .byteenable
		.vfw_0_control_readdatavalid                   (mm_interconnect_0_vfw_0_control_readdatavalid), //                                        .readdatavalid
		.vfw_0_control_waitrequest                     (mm_interconnect_0_vfw_0_control_waitrequest)    //                                        .waitrequest
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~cam_reset_reset_n),             // reset_in0.reset
		.clk            (cam_clk_clk),                    //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
