	component soc_system is
		port (
			alt_xcvr_reconfig_0_reconfig_mgmt_address         : in    std_logic_vector(6 downto 0)  := (others => 'X'); -- address
			alt_xcvr_reconfig_0_reconfig_mgmt_read            : in    std_logic                     := 'X';             -- read
			alt_xcvr_reconfig_0_reconfig_mgmt_readdata        : out   std_logic_vector(31 downto 0);                    -- readdata
			alt_xcvr_reconfig_0_reconfig_mgmt_waitrequest     : out   std_logic;                                        -- waitrequest
			alt_xcvr_reconfig_0_reconfig_mgmt_write           : in    std_logic                     := 'X';             -- write
			alt_xcvr_reconfig_0_reconfig_mgmt_writedata       : in    std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			button_pio_external_connection_export             : in    std_logic                     := 'X';             -- export
			cam_in_vid_clk                                    : in    std_logic                     := 'X';             -- vid_clk
			cam_in_vid_data                                   : in    std_logic_vector(15 downto 0) := (others => 'X'); -- vid_data
			cam_in_vid_de                                     : in    std_logic                     := 'X';             -- vid_de
			cam_in_vid_datavalid                              : in    std_logic                     := 'X';             -- vid_datavalid
			cam_in_vid_locked                                 : in    std_logic                     := 'X';             -- vid_locked
			cam_in_vid_f                                      : in    std_logic                     := 'X';             -- vid_f
			cam_in_vid_v_sync                                 : in    std_logic                     := 'X';             -- vid_v_sync
			cam_in_vid_h_sync                                 : in    std_logic                     := 'X';             -- vid_h_sync
			cam_in_vid_hd_sdn                                 : in    std_logic                     := 'X';             -- vid_hd_sdn
			cam_in_vid_color_encoding                         : in    std_logic_vector(7 downto 0)  := (others => 'X'); -- vid_color_encoding
			cam_in_vid_bit_width                              : in    std_logic_vector(7 downto 0)  := (others => 'X'); -- vid_bit_width
			cam_in_sof                                        : out   std_logic;                                        -- sof
			cam_in_sof_locked                                 : out   std_logic;                                        -- sof_locked
			cam_in_refclk_div                                 : out   std_logic;                                        -- refclk_div
			cam_in_clipping                                   : out   std_logic;                                        -- clipping
			cam_in_padding                                    : out   std_logic;                                        -- padding
			cam_in_overflow                                   : out   std_logic;                                        -- overflow
			cam_pwdn_export                                   : out   std_logic;                                        -- export
			clk_clk                                           : in    std_logic                     := 'X';             -- clk
			coreclk_fanout_clk_clk                            : out   std_logic;                                        -- clk
			coreclk_fanout_clk_reset_reset_n                  : out   std_logic;                                        -- reset_n
			dipsw_pio_external_connection_export              : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			hps_0_f2h_cold_reset_req_reset_n                  : in    std_logic                     := 'X';             -- reset_n
			hps_0_f2h_debug_reset_req_reset_n                 : in    std_logic                     := 'X';             -- reset_n
			hps_0_f2h_stm_hw_events_stm_hwevents              : in    std_logic_vector(27 downto 0) := (others => 'X'); -- stm_hwevents
			hps_0_f2h_warm_reset_req_reset_n                  : in    std_logic                     := 'X';             -- reset_n
			hps_0_h2f_reset_reset_n                           : out   std_logic;                                        -- reset_n
			hps_0_hps_io_hps_io_emac1_inst_TX_CLK             : out   std_logic;                                        -- hps_io_emac1_inst_TX_CLK
			hps_0_hps_io_hps_io_emac1_inst_TXD0               : out   std_logic;                                        -- hps_io_emac1_inst_TXD0
			hps_0_hps_io_hps_io_emac1_inst_TXD1               : out   std_logic;                                        -- hps_io_emac1_inst_TXD1
			hps_0_hps_io_hps_io_emac1_inst_TXD2               : out   std_logic;                                        -- hps_io_emac1_inst_TXD2
			hps_0_hps_io_hps_io_emac1_inst_TXD3               : out   std_logic;                                        -- hps_io_emac1_inst_TXD3
			hps_0_hps_io_hps_io_emac1_inst_RXD0               : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD0
			hps_0_hps_io_hps_io_emac1_inst_MDIO               : inout std_logic                     := 'X';             -- hps_io_emac1_inst_MDIO
			hps_0_hps_io_hps_io_emac1_inst_MDC                : out   std_logic;                                        -- hps_io_emac1_inst_MDC
			hps_0_hps_io_hps_io_emac1_inst_RX_CTL             : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RX_CTL
			hps_0_hps_io_hps_io_emac1_inst_TX_CTL             : out   std_logic;                                        -- hps_io_emac1_inst_TX_CTL
			hps_0_hps_io_hps_io_emac1_inst_RX_CLK             : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RX_CLK
			hps_0_hps_io_hps_io_emac1_inst_RXD1               : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD1
			hps_0_hps_io_hps_io_emac1_inst_RXD2               : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD2
			hps_0_hps_io_hps_io_emac1_inst_RXD3               : in    std_logic                     := 'X';             -- hps_io_emac1_inst_RXD3
			hps_0_hps_io_hps_io_qspi_inst_IO0                 : inout std_logic                     := 'X';             -- hps_io_qspi_inst_IO0
			hps_0_hps_io_hps_io_qspi_inst_IO1                 : inout std_logic                     := 'X';             -- hps_io_qspi_inst_IO1
			hps_0_hps_io_hps_io_qspi_inst_IO2                 : inout std_logic                     := 'X';             -- hps_io_qspi_inst_IO2
			hps_0_hps_io_hps_io_qspi_inst_IO3                 : inout std_logic                     := 'X';             -- hps_io_qspi_inst_IO3
			hps_0_hps_io_hps_io_qspi_inst_SS0                 : out   std_logic;                                        -- hps_io_qspi_inst_SS0
			hps_0_hps_io_hps_io_qspi_inst_CLK                 : out   std_logic;                                        -- hps_io_qspi_inst_CLK
			hps_0_hps_io_hps_io_sdio_inst_CMD                 : inout std_logic                     := 'X';             -- hps_io_sdio_inst_CMD
			hps_0_hps_io_hps_io_sdio_inst_D0                  : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D0
			hps_0_hps_io_hps_io_sdio_inst_D1                  : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D1
			hps_0_hps_io_hps_io_sdio_inst_CLK                 : out   std_logic;                                        -- hps_io_sdio_inst_CLK
			hps_0_hps_io_hps_io_sdio_inst_D2                  : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D2
			hps_0_hps_io_hps_io_sdio_inst_D3                  : inout std_logic                     := 'X';             -- hps_io_sdio_inst_D3
			hps_0_hps_io_hps_io_usb1_inst_D0                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D0
			hps_0_hps_io_hps_io_usb1_inst_D1                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D1
			hps_0_hps_io_hps_io_usb1_inst_D2                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D2
			hps_0_hps_io_hps_io_usb1_inst_D3                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D3
			hps_0_hps_io_hps_io_usb1_inst_D4                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D4
			hps_0_hps_io_hps_io_usb1_inst_D5                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D5
			hps_0_hps_io_hps_io_usb1_inst_D6                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D6
			hps_0_hps_io_hps_io_usb1_inst_D7                  : inout std_logic                     := 'X';             -- hps_io_usb1_inst_D7
			hps_0_hps_io_hps_io_usb1_inst_CLK                 : in    std_logic                     := 'X';             -- hps_io_usb1_inst_CLK
			hps_0_hps_io_hps_io_usb1_inst_STP                 : out   std_logic;                                        -- hps_io_usb1_inst_STP
			hps_0_hps_io_hps_io_usb1_inst_DIR                 : in    std_logic                     := 'X';             -- hps_io_usb1_inst_DIR
			hps_0_hps_io_hps_io_usb1_inst_NXT                 : in    std_logic                     := 'X';             -- hps_io_usb1_inst_NXT
			hps_0_hps_io_hps_io_spim0_inst_CLK                : out   std_logic;                                        -- hps_io_spim0_inst_CLK
			hps_0_hps_io_hps_io_spim0_inst_MOSI               : out   std_logic;                                        -- hps_io_spim0_inst_MOSI
			hps_0_hps_io_hps_io_spim0_inst_MISO               : in    std_logic                     := 'X';             -- hps_io_spim0_inst_MISO
			hps_0_hps_io_hps_io_spim0_inst_SS0                : out   std_logic;                                        -- hps_io_spim0_inst_SS0
			hps_0_hps_io_hps_io_spim0_inst_SS1                : out   std_logic;                                        -- hps_io_spim0_inst_SS1
			hps_0_hps_io_hps_io_uart0_inst_RX                 : in    std_logic                     := 'X';             -- hps_io_uart0_inst_RX
			hps_0_hps_io_hps_io_uart0_inst_TX                 : out   std_logic;                                        -- hps_io_uart0_inst_TX
			hps_0_hps_io_hps_io_i2c0_inst_SDA                 : inout std_logic                     := 'X';             -- hps_io_i2c0_inst_SDA
			hps_0_hps_io_hps_io_i2c0_inst_SCL                 : inout std_logic                     := 'X';             -- hps_io_i2c0_inst_SCL
			hps_0_hps_io_hps_io_i2c1_inst_SDA                 : inout std_logic                     := 'X';             -- hps_io_i2c1_inst_SDA
			hps_0_hps_io_hps_io_i2c1_inst_SCL                 : inout std_logic                     := 'X';             -- hps_io_i2c1_inst_SCL
			hps_0_hps_io_hps_io_gpio_inst_GPIO00              : inout std_logic                     := 'X';             -- hps_io_gpio_inst_GPIO00
			hps_0_hps_io_hps_io_gpio_inst_GPIO37              : inout std_logic                     := 'X';             -- hps_io_gpio_inst_GPIO37
			hps_0_hps_io_hps_io_gpio_inst_GPIO55              : inout std_logic                     := 'X';             -- hps_io_gpio_inst_GPIO55
			hps_0_hps_io_hps_io_gpio_inst_GPIO62              : inout std_logic                     := 'X';             -- hps_io_gpio_inst_GPIO62
			issp_hps_resets_source                            : out   std_logic_vector(2 downto 0);                     -- source
			led_pio_external_connection_in_port               : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- in_port
			led_pio_external_connection_out_port              : out   std_logic_vector(3 downto 0);                     -- out_port
			memory_mem_a                                      : out   std_logic_vector(15 downto 0);                    -- mem_a
			memory_mem_ba                                     : out   std_logic_vector(2 downto 0);                     -- mem_ba
			memory_mem_ck                                     : out   std_logic;                                        -- mem_ck
			memory_mem_ck_n                                   : out   std_logic;                                        -- mem_ck_n
			memory_mem_cke                                    : out   std_logic;                                        -- mem_cke
			memory_mem_cs_n                                   : out   std_logic;                                        -- mem_cs_n
			memory_mem_ras_n                                  : out   std_logic;                                        -- mem_ras_n
			memory_mem_cas_n                                  : out   std_logic;                                        -- mem_cas_n
			memory_mem_we_n                                   : out   std_logic;                                        -- mem_we_n
			memory_mem_reset_n                                : out   std_logic;                                        -- mem_reset_n
			memory_mem_dq                                     : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			memory_mem_dqs                                    : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs
			memory_mem_dqs_n                                  : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_n
			memory_mem_odt                                    : out   std_logic;                                        -- mem_odt
			memory_mem_dm                                     : out   std_logic_vector(3 downto 0);                     -- mem_dm
			memory_oct_rzqin                                  : in    std_logic                     := 'X';             -- oct_rzqin
			pcie_hip_avmm_hip_ctrl_test_in                    : in    std_logic_vector(31 downto 0) := (others => 'X'); -- test_in
			pcie_hip_avmm_hip_ctrl_simu_mode_pipe             : in    std_logic                     := 'X';             -- simu_mode_pipe
			pcie_hip_avmm_hip_pipe_sim_pipe_pclk_in           : in    std_logic                     := 'X';             -- sim_pipe_pclk_in
			pcie_hip_avmm_hip_pipe_sim_pipe_rate              : out   std_logic_vector(1 downto 0);                     -- sim_pipe_rate
			pcie_hip_avmm_hip_pipe_sim_ltssmstate             : out   std_logic_vector(4 downto 0);                     -- sim_ltssmstate
			pcie_hip_avmm_hip_pipe_eidleinfersel0             : out   std_logic_vector(2 downto 0);                     -- eidleinfersel0
			pcie_hip_avmm_hip_pipe_powerdown0                 : out   std_logic_vector(1 downto 0);                     -- powerdown0
			pcie_hip_avmm_hip_pipe_rxpolarity0                : out   std_logic;                                        -- rxpolarity0
			pcie_hip_avmm_hip_pipe_txcompl0                   : out   std_logic;                                        -- txcompl0
			pcie_hip_avmm_hip_pipe_txdata0                    : out   std_logic_vector(7 downto 0);                     -- txdata0
			pcie_hip_avmm_hip_pipe_txdatak0                   : out   std_logic;                                        -- txdatak0
			pcie_hip_avmm_hip_pipe_txdetectrx0                : out   std_logic;                                        -- txdetectrx0
			pcie_hip_avmm_hip_pipe_txelecidle0                : out   std_logic;                                        -- txelecidle0
			pcie_hip_avmm_hip_pipe_txswing0                   : out   std_logic;                                        -- txswing0
			pcie_hip_avmm_hip_pipe_txmargin0                  : out   std_logic_vector(2 downto 0);                     -- txmargin0
			pcie_hip_avmm_hip_pipe_txdeemph0                  : out   std_logic;                                        -- txdeemph0
			pcie_hip_avmm_hip_pipe_phystatus0                 : in    std_logic                     := 'X';             -- phystatus0
			pcie_hip_avmm_hip_pipe_rxdata0                    : in    std_logic_vector(7 downto 0)  := (others => 'X'); -- rxdata0
			pcie_hip_avmm_hip_pipe_rxdatak0                   : in    std_logic                     := 'X';             -- rxdatak0
			pcie_hip_avmm_hip_pipe_rxelecidle0                : in    std_logic                     := 'X';             -- rxelecidle0
			pcie_hip_avmm_hip_pipe_rxstatus0                  : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- rxstatus0
			pcie_hip_avmm_hip_pipe_rxvalid0                   : in    std_logic                     := 'X';             -- rxvalid0
			pcie_hip_avmm_hip_serial_rx_in0                   : in    std_logic                     := 'X';             -- rx_in0
			pcie_hip_avmm_hip_serial_tx_out0                  : out   std_logic;                                        -- tx_out0
			pcie_hip_avmm_npor_npor                           : in    std_logic                     := 'X';             -- npor
			pcie_hip_avmm_npor_pin_perst                      : in    std_logic                     := 'X';             -- pin_perst
			pcie_hip_avmm_reconfig_clk_locked_fixedclk_locked : out   std_logic;                                        -- fixedclk_locked
			pcie_hip_avmm_refclk_clk                          : in    std_logic                     := 'X';             -- clk
			pio_rp_reset_external_connection_in_port          : in    std_logic                     := 'X';             -- in_port
			pio_rp_reset_external_connection_out_port         : out   std_logic;                                        -- out_port
			reset_reset_n                                     : in    std_logic                     := 'X';             -- reset_n
			vid_clk_clk                                       : in    std_logic                     := 'X';             -- clk
			vid_out_vid_clk                                   : in    std_logic                     := 'X';             -- vid_clk
			vid_out_vid_data                                  : out   std_logic_vector(31 downto 0);                    -- vid_data
			vid_out_underflow                                 : out   std_logic;                                        -- underflow
			vid_out_vid_datavalid                             : out   std_logic;                                        -- vid_datavalid
			vid_out_vid_v_sync                                : out   std_logic;                                        -- vid_v_sync
			vid_out_vid_h_sync                                : out   std_logic;                                        -- vid_h_sync
			vid_out_vid_f                                     : out   std_logic;                                        -- vid_f
			vid_out_vid_h                                     : out   std_logic;                                        -- vid_h
			vid_out_vid_v                                     : out   std_logic;                                        -- vid_v
			vid_reset_reset_n                                 : in    std_logic                     := 'X'              -- reset_n
		);
	end component soc_system;

	u0 : component soc_system
		port map (
			alt_xcvr_reconfig_0_reconfig_mgmt_address         => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_mgmt_address,         -- alt_xcvr_reconfig_0_reconfig_mgmt.address
			alt_xcvr_reconfig_0_reconfig_mgmt_read            => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_mgmt_read,            --                                  .read
			alt_xcvr_reconfig_0_reconfig_mgmt_readdata        => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_mgmt_readdata,        --                                  .readdata
			alt_xcvr_reconfig_0_reconfig_mgmt_waitrequest     => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_mgmt_waitrequest,     --                                  .waitrequest
			alt_xcvr_reconfig_0_reconfig_mgmt_write           => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_mgmt_write,           --                                  .write
			alt_xcvr_reconfig_0_reconfig_mgmt_writedata       => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_mgmt_writedata,       --                                  .writedata
			button_pio_external_connection_export             => CONNECTED_TO_button_pio_external_connection_export,             --    button_pio_external_connection.export
			cam_in_vid_clk                                    => CONNECTED_TO_cam_in_vid_clk,                                    --                            cam_in.vid_clk
			cam_in_vid_data                                   => CONNECTED_TO_cam_in_vid_data,                                   --                                  .vid_data
			cam_in_vid_de                                     => CONNECTED_TO_cam_in_vid_de,                                     --                                  .vid_de
			cam_in_vid_datavalid                              => CONNECTED_TO_cam_in_vid_datavalid,                              --                                  .vid_datavalid
			cam_in_vid_locked                                 => CONNECTED_TO_cam_in_vid_locked,                                 --                                  .vid_locked
			cam_in_vid_f                                      => CONNECTED_TO_cam_in_vid_f,                                      --                                  .vid_f
			cam_in_vid_v_sync                                 => CONNECTED_TO_cam_in_vid_v_sync,                                 --                                  .vid_v_sync
			cam_in_vid_h_sync                                 => CONNECTED_TO_cam_in_vid_h_sync,                                 --                                  .vid_h_sync
			cam_in_vid_hd_sdn                                 => CONNECTED_TO_cam_in_vid_hd_sdn,                                 --                                  .vid_hd_sdn
			cam_in_vid_color_encoding                         => CONNECTED_TO_cam_in_vid_color_encoding,                         --                                  .vid_color_encoding
			cam_in_vid_bit_width                              => CONNECTED_TO_cam_in_vid_bit_width,                              --                                  .vid_bit_width
			cam_in_sof                                        => CONNECTED_TO_cam_in_sof,                                        --                                  .sof
			cam_in_sof_locked                                 => CONNECTED_TO_cam_in_sof_locked,                                 --                                  .sof_locked
			cam_in_refclk_div                                 => CONNECTED_TO_cam_in_refclk_div,                                 --                                  .refclk_div
			cam_in_clipping                                   => CONNECTED_TO_cam_in_clipping,                                   --                                  .clipping
			cam_in_padding                                    => CONNECTED_TO_cam_in_padding,                                    --                                  .padding
			cam_in_overflow                                   => CONNECTED_TO_cam_in_overflow,                                   --                                  .overflow
			cam_pwdn_export                                   => CONNECTED_TO_cam_pwdn_export,                                   --                          cam_pwdn.export
			clk_clk                                           => CONNECTED_TO_clk_clk,                                           --                               clk.clk
			coreclk_fanout_clk_clk                            => CONNECTED_TO_coreclk_fanout_clk_clk,                            --                coreclk_fanout_clk.clk
			coreclk_fanout_clk_reset_reset_n                  => CONNECTED_TO_coreclk_fanout_clk_reset_reset_n,                  --          coreclk_fanout_clk_reset.reset_n
			dipsw_pio_external_connection_export              => CONNECTED_TO_dipsw_pio_external_connection_export,              --     dipsw_pio_external_connection.export
			hps_0_f2h_cold_reset_req_reset_n                  => CONNECTED_TO_hps_0_f2h_cold_reset_req_reset_n,                  --          hps_0_f2h_cold_reset_req.reset_n
			hps_0_f2h_debug_reset_req_reset_n                 => CONNECTED_TO_hps_0_f2h_debug_reset_req_reset_n,                 --         hps_0_f2h_debug_reset_req.reset_n
			hps_0_f2h_stm_hw_events_stm_hwevents              => CONNECTED_TO_hps_0_f2h_stm_hw_events_stm_hwevents,              --           hps_0_f2h_stm_hw_events.stm_hwevents
			hps_0_f2h_warm_reset_req_reset_n                  => CONNECTED_TO_hps_0_f2h_warm_reset_req_reset_n,                  --          hps_0_f2h_warm_reset_req.reset_n
			hps_0_h2f_reset_reset_n                           => CONNECTED_TO_hps_0_h2f_reset_reset_n,                           --                   hps_0_h2f_reset.reset_n
			hps_0_hps_io_hps_io_emac1_inst_TX_CLK             => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_TX_CLK,             --                      hps_0_hps_io.hps_io_emac1_inst_TX_CLK
			hps_0_hps_io_hps_io_emac1_inst_TXD0               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_TXD0,               --                                  .hps_io_emac1_inst_TXD0
			hps_0_hps_io_hps_io_emac1_inst_TXD1               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_TXD1,               --                                  .hps_io_emac1_inst_TXD1
			hps_0_hps_io_hps_io_emac1_inst_TXD2               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_TXD2,               --                                  .hps_io_emac1_inst_TXD2
			hps_0_hps_io_hps_io_emac1_inst_TXD3               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_TXD3,               --                                  .hps_io_emac1_inst_TXD3
			hps_0_hps_io_hps_io_emac1_inst_RXD0               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_RXD0,               --                                  .hps_io_emac1_inst_RXD0
			hps_0_hps_io_hps_io_emac1_inst_MDIO               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_MDIO,               --                                  .hps_io_emac1_inst_MDIO
			hps_0_hps_io_hps_io_emac1_inst_MDC                => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_MDC,                --                                  .hps_io_emac1_inst_MDC
			hps_0_hps_io_hps_io_emac1_inst_RX_CTL             => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_RX_CTL,             --                                  .hps_io_emac1_inst_RX_CTL
			hps_0_hps_io_hps_io_emac1_inst_TX_CTL             => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_TX_CTL,             --                                  .hps_io_emac1_inst_TX_CTL
			hps_0_hps_io_hps_io_emac1_inst_RX_CLK             => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_RX_CLK,             --                                  .hps_io_emac1_inst_RX_CLK
			hps_0_hps_io_hps_io_emac1_inst_RXD1               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_RXD1,               --                                  .hps_io_emac1_inst_RXD1
			hps_0_hps_io_hps_io_emac1_inst_RXD2               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_RXD2,               --                                  .hps_io_emac1_inst_RXD2
			hps_0_hps_io_hps_io_emac1_inst_RXD3               => CONNECTED_TO_hps_0_hps_io_hps_io_emac1_inst_RXD3,               --                                  .hps_io_emac1_inst_RXD3
			hps_0_hps_io_hps_io_qspi_inst_IO0                 => CONNECTED_TO_hps_0_hps_io_hps_io_qspi_inst_IO0,                 --                                  .hps_io_qspi_inst_IO0
			hps_0_hps_io_hps_io_qspi_inst_IO1                 => CONNECTED_TO_hps_0_hps_io_hps_io_qspi_inst_IO1,                 --                                  .hps_io_qspi_inst_IO1
			hps_0_hps_io_hps_io_qspi_inst_IO2                 => CONNECTED_TO_hps_0_hps_io_hps_io_qspi_inst_IO2,                 --                                  .hps_io_qspi_inst_IO2
			hps_0_hps_io_hps_io_qspi_inst_IO3                 => CONNECTED_TO_hps_0_hps_io_hps_io_qspi_inst_IO3,                 --                                  .hps_io_qspi_inst_IO3
			hps_0_hps_io_hps_io_qspi_inst_SS0                 => CONNECTED_TO_hps_0_hps_io_hps_io_qspi_inst_SS0,                 --                                  .hps_io_qspi_inst_SS0
			hps_0_hps_io_hps_io_qspi_inst_CLK                 => CONNECTED_TO_hps_0_hps_io_hps_io_qspi_inst_CLK,                 --                                  .hps_io_qspi_inst_CLK
			hps_0_hps_io_hps_io_sdio_inst_CMD                 => CONNECTED_TO_hps_0_hps_io_hps_io_sdio_inst_CMD,                 --                                  .hps_io_sdio_inst_CMD
			hps_0_hps_io_hps_io_sdio_inst_D0                  => CONNECTED_TO_hps_0_hps_io_hps_io_sdio_inst_D0,                  --                                  .hps_io_sdio_inst_D0
			hps_0_hps_io_hps_io_sdio_inst_D1                  => CONNECTED_TO_hps_0_hps_io_hps_io_sdio_inst_D1,                  --                                  .hps_io_sdio_inst_D1
			hps_0_hps_io_hps_io_sdio_inst_CLK                 => CONNECTED_TO_hps_0_hps_io_hps_io_sdio_inst_CLK,                 --                                  .hps_io_sdio_inst_CLK
			hps_0_hps_io_hps_io_sdio_inst_D2                  => CONNECTED_TO_hps_0_hps_io_hps_io_sdio_inst_D2,                  --                                  .hps_io_sdio_inst_D2
			hps_0_hps_io_hps_io_sdio_inst_D3                  => CONNECTED_TO_hps_0_hps_io_hps_io_sdio_inst_D3,                  --                                  .hps_io_sdio_inst_D3
			hps_0_hps_io_hps_io_usb1_inst_D0                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D0,                  --                                  .hps_io_usb1_inst_D0
			hps_0_hps_io_hps_io_usb1_inst_D1                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D1,                  --                                  .hps_io_usb1_inst_D1
			hps_0_hps_io_hps_io_usb1_inst_D2                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D2,                  --                                  .hps_io_usb1_inst_D2
			hps_0_hps_io_hps_io_usb1_inst_D3                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D3,                  --                                  .hps_io_usb1_inst_D3
			hps_0_hps_io_hps_io_usb1_inst_D4                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D4,                  --                                  .hps_io_usb1_inst_D4
			hps_0_hps_io_hps_io_usb1_inst_D5                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D5,                  --                                  .hps_io_usb1_inst_D5
			hps_0_hps_io_hps_io_usb1_inst_D6                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D6,                  --                                  .hps_io_usb1_inst_D6
			hps_0_hps_io_hps_io_usb1_inst_D7                  => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_D7,                  --                                  .hps_io_usb1_inst_D7
			hps_0_hps_io_hps_io_usb1_inst_CLK                 => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_CLK,                 --                                  .hps_io_usb1_inst_CLK
			hps_0_hps_io_hps_io_usb1_inst_STP                 => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_STP,                 --                                  .hps_io_usb1_inst_STP
			hps_0_hps_io_hps_io_usb1_inst_DIR                 => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_DIR,                 --                                  .hps_io_usb1_inst_DIR
			hps_0_hps_io_hps_io_usb1_inst_NXT                 => CONNECTED_TO_hps_0_hps_io_hps_io_usb1_inst_NXT,                 --                                  .hps_io_usb1_inst_NXT
			hps_0_hps_io_hps_io_spim0_inst_CLK                => CONNECTED_TO_hps_0_hps_io_hps_io_spim0_inst_CLK,                --                                  .hps_io_spim0_inst_CLK
			hps_0_hps_io_hps_io_spim0_inst_MOSI               => CONNECTED_TO_hps_0_hps_io_hps_io_spim0_inst_MOSI,               --                                  .hps_io_spim0_inst_MOSI
			hps_0_hps_io_hps_io_spim0_inst_MISO               => CONNECTED_TO_hps_0_hps_io_hps_io_spim0_inst_MISO,               --                                  .hps_io_spim0_inst_MISO
			hps_0_hps_io_hps_io_spim0_inst_SS0                => CONNECTED_TO_hps_0_hps_io_hps_io_spim0_inst_SS0,                --                                  .hps_io_spim0_inst_SS0
			hps_0_hps_io_hps_io_spim0_inst_SS1                => CONNECTED_TO_hps_0_hps_io_hps_io_spim0_inst_SS1,                --                                  .hps_io_spim0_inst_SS1
			hps_0_hps_io_hps_io_uart0_inst_RX                 => CONNECTED_TO_hps_0_hps_io_hps_io_uart0_inst_RX,                 --                                  .hps_io_uart0_inst_RX
			hps_0_hps_io_hps_io_uart0_inst_TX                 => CONNECTED_TO_hps_0_hps_io_hps_io_uart0_inst_TX,                 --                                  .hps_io_uart0_inst_TX
			hps_0_hps_io_hps_io_i2c0_inst_SDA                 => CONNECTED_TO_hps_0_hps_io_hps_io_i2c0_inst_SDA,                 --                                  .hps_io_i2c0_inst_SDA
			hps_0_hps_io_hps_io_i2c0_inst_SCL                 => CONNECTED_TO_hps_0_hps_io_hps_io_i2c0_inst_SCL,                 --                                  .hps_io_i2c0_inst_SCL
			hps_0_hps_io_hps_io_i2c1_inst_SDA                 => CONNECTED_TO_hps_0_hps_io_hps_io_i2c1_inst_SDA,                 --                                  .hps_io_i2c1_inst_SDA
			hps_0_hps_io_hps_io_i2c1_inst_SCL                 => CONNECTED_TO_hps_0_hps_io_hps_io_i2c1_inst_SCL,                 --                                  .hps_io_i2c1_inst_SCL
			hps_0_hps_io_hps_io_gpio_inst_GPIO00              => CONNECTED_TO_hps_0_hps_io_hps_io_gpio_inst_GPIO00,              --                                  .hps_io_gpio_inst_GPIO00
			hps_0_hps_io_hps_io_gpio_inst_GPIO37              => CONNECTED_TO_hps_0_hps_io_hps_io_gpio_inst_GPIO37,              --                                  .hps_io_gpio_inst_GPIO37
			hps_0_hps_io_hps_io_gpio_inst_GPIO55              => CONNECTED_TO_hps_0_hps_io_hps_io_gpio_inst_GPIO55,              --                                  .hps_io_gpio_inst_GPIO55
			hps_0_hps_io_hps_io_gpio_inst_GPIO62              => CONNECTED_TO_hps_0_hps_io_hps_io_gpio_inst_GPIO62,              --                                  .hps_io_gpio_inst_GPIO62
			issp_hps_resets_source                            => CONNECTED_TO_issp_hps_resets_source,                            --                   issp_hps_resets.source
			led_pio_external_connection_in_port               => CONNECTED_TO_led_pio_external_connection_in_port,               --       led_pio_external_connection.in_port
			led_pio_external_connection_out_port              => CONNECTED_TO_led_pio_external_connection_out_port,              --                                  .out_port
			memory_mem_a                                      => CONNECTED_TO_memory_mem_a,                                      --                            memory.mem_a
			memory_mem_ba                                     => CONNECTED_TO_memory_mem_ba,                                     --                                  .mem_ba
			memory_mem_ck                                     => CONNECTED_TO_memory_mem_ck,                                     --                                  .mem_ck
			memory_mem_ck_n                                   => CONNECTED_TO_memory_mem_ck_n,                                   --                                  .mem_ck_n
			memory_mem_cke                                    => CONNECTED_TO_memory_mem_cke,                                    --                                  .mem_cke
			memory_mem_cs_n                                   => CONNECTED_TO_memory_mem_cs_n,                                   --                                  .mem_cs_n
			memory_mem_ras_n                                  => CONNECTED_TO_memory_mem_ras_n,                                  --                                  .mem_ras_n
			memory_mem_cas_n                                  => CONNECTED_TO_memory_mem_cas_n,                                  --                                  .mem_cas_n
			memory_mem_we_n                                   => CONNECTED_TO_memory_mem_we_n,                                   --                                  .mem_we_n
			memory_mem_reset_n                                => CONNECTED_TO_memory_mem_reset_n,                                --                                  .mem_reset_n
			memory_mem_dq                                     => CONNECTED_TO_memory_mem_dq,                                     --                                  .mem_dq
			memory_mem_dqs                                    => CONNECTED_TO_memory_mem_dqs,                                    --                                  .mem_dqs
			memory_mem_dqs_n                                  => CONNECTED_TO_memory_mem_dqs_n,                                  --                                  .mem_dqs_n
			memory_mem_odt                                    => CONNECTED_TO_memory_mem_odt,                                    --                                  .mem_odt
			memory_mem_dm                                     => CONNECTED_TO_memory_mem_dm,                                     --                                  .mem_dm
			memory_oct_rzqin                                  => CONNECTED_TO_memory_oct_rzqin,                                  --                                  .oct_rzqin
			pcie_hip_avmm_hip_ctrl_test_in                    => CONNECTED_TO_pcie_hip_avmm_hip_ctrl_test_in,                    --            pcie_hip_avmm_hip_ctrl.test_in
			pcie_hip_avmm_hip_ctrl_simu_mode_pipe             => CONNECTED_TO_pcie_hip_avmm_hip_ctrl_simu_mode_pipe,             --                                  .simu_mode_pipe
			pcie_hip_avmm_hip_pipe_sim_pipe_pclk_in           => CONNECTED_TO_pcie_hip_avmm_hip_pipe_sim_pipe_pclk_in,           --            pcie_hip_avmm_hip_pipe.sim_pipe_pclk_in
			pcie_hip_avmm_hip_pipe_sim_pipe_rate              => CONNECTED_TO_pcie_hip_avmm_hip_pipe_sim_pipe_rate,              --                                  .sim_pipe_rate
			pcie_hip_avmm_hip_pipe_sim_ltssmstate             => CONNECTED_TO_pcie_hip_avmm_hip_pipe_sim_ltssmstate,             --                                  .sim_ltssmstate
			pcie_hip_avmm_hip_pipe_eidleinfersel0             => CONNECTED_TO_pcie_hip_avmm_hip_pipe_eidleinfersel0,             --                                  .eidleinfersel0
			pcie_hip_avmm_hip_pipe_powerdown0                 => CONNECTED_TO_pcie_hip_avmm_hip_pipe_powerdown0,                 --                                  .powerdown0
			pcie_hip_avmm_hip_pipe_rxpolarity0                => CONNECTED_TO_pcie_hip_avmm_hip_pipe_rxpolarity0,                --                                  .rxpolarity0
			pcie_hip_avmm_hip_pipe_txcompl0                   => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txcompl0,                   --                                  .txcompl0
			pcie_hip_avmm_hip_pipe_txdata0                    => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txdata0,                    --                                  .txdata0
			pcie_hip_avmm_hip_pipe_txdatak0                   => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txdatak0,                   --                                  .txdatak0
			pcie_hip_avmm_hip_pipe_txdetectrx0                => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txdetectrx0,                --                                  .txdetectrx0
			pcie_hip_avmm_hip_pipe_txelecidle0                => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txelecidle0,                --                                  .txelecidle0
			pcie_hip_avmm_hip_pipe_txswing0                   => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txswing0,                   --                                  .txswing0
			pcie_hip_avmm_hip_pipe_txmargin0                  => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txmargin0,                  --                                  .txmargin0
			pcie_hip_avmm_hip_pipe_txdeemph0                  => CONNECTED_TO_pcie_hip_avmm_hip_pipe_txdeemph0,                  --                                  .txdeemph0
			pcie_hip_avmm_hip_pipe_phystatus0                 => CONNECTED_TO_pcie_hip_avmm_hip_pipe_phystatus0,                 --                                  .phystatus0
			pcie_hip_avmm_hip_pipe_rxdata0                    => CONNECTED_TO_pcie_hip_avmm_hip_pipe_rxdata0,                    --                                  .rxdata0
			pcie_hip_avmm_hip_pipe_rxdatak0                   => CONNECTED_TO_pcie_hip_avmm_hip_pipe_rxdatak0,                   --                                  .rxdatak0
			pcie_hip_avmm_hip_pipe_rxelecidle0                => CONNECTED_TO_pcie_hip_avmm_hip_pipe_rxelecidle0,                --                                  .rxelecidle0
			pcie_hip_avmm_hip_pipe_rxstatus0                  => CONNECTED_TO_pcie_hip_avmm_hip_pipe_rxstatus0,                  --                                  .rxstatus0
			pcie_hip_avmm_hip_pipe_rxvalid0                   => CONNECTED_TO_pcie_hip_avmm_hip_pipe_rxvalid0,                   --                                  .rxvalid0
			pcie_hip_avmm_hip_serial_rx_in0                   => CONNECTED_TO_pcie_hip_avmm_hip_serial_rx_in0,                   --          pcie_hip_avmm_hip_serial.rx_in0
			pcie_hip_avmm_hip_serial_tx_out0                  => CONNECTED_TO_pcie_hip_avmm_hip_serial_tx_out0,                  --                                  .tx_out0
			pcie_hip_avmm_npor_npor                           => CONNECTED_TO_pcie_hip_avmm_npor_npor,                           --                pcie_hip_avmm_npor.npor
			pcie_hip_avmm_npor_pin_perst                      => CONNECTED_TO_pcie_hip_avmm_npor_pin_perst,                      --                                  .pin_perst
			pcie_hip_avmm_reconfig_clk_locked_fixedclk_locked => CONNECTED_TO_pcie_hip_avmm_reconfig_clk_locked_fixedclk_locked, -- pcie_hip_avmm_reconfig_clk_locked.fixedclk_locked
			pcie_hip_avmm_refclk_clk                          => CONNECTED_TO_pcie_hip_avmm_refclk_clk,                          --              pcie_hip_avmm_refclk.clk
			pio_rp_reset_external_connection_in_port          => CONNECTED_TO_pio_rp_reset_external_connection_in_port,          --  pio_rp_reset_external_connection.in_port
			pio_rp_reset_external_connection_out_port         => CONNECTED_TO_pio_rp_reset_external_connection_out_port,         --                                  .out_port
			reset_reset_n                                     => CONNECTED_TO_reset_reset_n,                                     --                             reset.reset_n
			vid_clk_clk                                       => CONNECTED_TO_vid_clk_clk,                                       --                           vid_clk.clk
			vid_out_vid_clk                                   => CONNECTED_TO_vid_out_vid_clk,                                   --                           vid_out.vid_clk
			vid_out_vid_data                                  => CONNECTED_TO_vid_out_vid_data,                                  --                                  .vid_data
			vid_out_underflow                                 => CONNECTED_TO_vid_out_underflow,                                 --                                  .underflow
			vid_out_vid_datavalid                             => CONNECTED_TO_vid_out_vid_datavalid,                             --                                  .vid_datavalid
			vid_out_vid_v_sync                                => CONNECTED_TO_vid_out_vid_v_sync,                                --                                  .vid_v_sync
			vid_out_vid_h_sync                                => CONNECTED_TO_vid_out_vid_h_sync,                                --                                  .vid_h_sync
			vid_out_vid_f                                     => CONNECTED_TO_vid_out_vid_f,                                     --                                  .vid_f
			vid_out_vid_h                                     => CONNECTED_TO_vid_out_vid_h,                                     --                                  .vid_h
			vid_out_vid_v                                     => CONNECTED_TO_vid_out_vid_v,                                     --                                  .vid_v
			vid_reset_reset_n                                 => CONNECTED_TO_vid_reset_reset_n                                  --                         vid_reset.reset_n
		);

